<?php

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

function ci_twitter_url($url){
    $return = '';
    if (empty($url)){
        return '';
    }
    $url = trim($url);
    $tscs = '';

//    if (defined('_CISQUEL_TWITTER') AND _CISQUEL_TWITTER=='oui'){
        // verifier l'URL
        if (substr($url, 0, 20)=='https://twitter.com/' AND strpos($url,'/status/')===false) {
            $tscs = substr($url, 20);
            // enlever les parametres
            $tableau = explode('?',$tscs);
            $tscs = $tableau[0];
            // interdire les caracteres dangereux
            // limiter aux a-zA-Z0-9, aux underscores
            $tscs = str_replace("_",'',$tscs);
            if (ctype_alnum($tscs)) {
                $return = $url;
            }
        }  
//    }

    return $return;
}

function ci_twitter_user($url){
    $return = '';
    $url = ci_twitter_url($url);

    if ($url) {
        $pos = strrpos($url,'/');
        if ($pos>1){
            $return = substr($url,$pos+1);
        }
    }  

    return $return;
}

function ci_twitter_script($arg=''){
    static $done = false;
    static $firstarg = 0;
    $return = '';

    if (!$done OR $firstarg==$arg){
        $done = true;
        $firstarg = $arg;
        $return = '<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>';
    }
    
    return $return;
}

// 2 fonctions a mutualiser

function ci_tarteaucitron_actif($arg=''){
    $return = 'non';

    if (defined('_CI_TARTEAUCITRON') AND _CI_TARTEAUCITRON=='oui'){
          $return = 'oui';
    }

    return $return;
}

function ci_tarteaucitron_script($service){
    $return = '';
    static $done = false;
  
    if (!$done){
        $done = true;
        if (defined('_CI_TARTEAUCITRON') AND _CI_TARTEAUCITRON=='oui'){
              if ($service AND ctype_alpha($service)){
                  $return = "<script type='text/javascript'> (tarteaucitron.job = tarteaucitron.job || []).push('".$service."'); </script>";
              }
        }
    }
    return $return;
}


